<template>
    <div class="col-12">
        <router-link :to="{path:'new'}" append>
            <button class="btn btn-info float-right but">Nouvelle Ressource</button>
        </router-link>
        <router-link :to="{path:'../../'}" append>
            <button class="btn btn-secondary float-right but">Retour</button>
        </router-link>
        <div class="clearfix"></div>
        <ResourcesList v-bind:resources="resources" :canEdit="true" v-on:edit="edit"></ResourcesList>
    </div>
</template>

<script>
import ResourcesList from '@/components/shared/Resources.List.vue';
export default {
    components: {
        ResourcesList
    },
    computed: {
        resources() {
            if (this.$store.getters.getCurrentProject.resources) {
                return this.$store.getters.getCurrentProject.resources;
            }
            return [];
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
    },
    methods: {
        edit(index) {
            this.$router.push({ path: index + "/edit", append: "true" });
        }
    }
}
</script>

<style scoped>
.but {
    margin-bottom: 50px;
    margin-right:4px;
    margin-let:4px;
}
</style>
